Question

Composer is not getting installed in codeigniter and open ssl issue

Composer is not getting installed in codeigniter and open ssl issue

Subscribe
Share

Submit an answer
You can type!ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Hi there @lukehlee,

What is the exact error that you are getting?

I’ve seen a similar problem with Ubuntu 14.04, what I could suggest is using trying with Ubuntu 18.04 or newer to check if the problem still persists.

Another thing that you could do is if you have only 1GB of RAM make sure to add 1GB of swap space as well so that composer has enough memory to work with. Here’s a step by step tutorial on how to add Swap space to your server:

https://www.digitalocean.com/community/tutorials/how-to-add-swap-space-on-ubuntu-16-04

Regards, Bobby